visUpdateEdges {visNetwork} | R Documentation

## Function to update edges information, with shiny only.

### Description

Function to update edges information, with shiny only. You can also use this function passing new edges. The link is based on id.

### Usage

    visUpdateEdges(graph, edges)

### Arguments

`graph` | : a `visNetworkProxy` object

`edges`

: data.frame with edges informations. See visEdges

- "id" : edge id, for update

- "from" : node id of begin of the edge

- "to" : node id of end of the edge

- "label" : label of the edge

- "value" : size of the node

- "title" : tooltip of the node

- ...

### See Also

visNodes for nodes options, visEdges for edges options, visGroups for groups options, visLegend for adding legend, visOptions for custom option, visLayout & visHierarchicalLayout for layout, visPhysics for control physics, visInteraction for interaction, visNetworkProxy & visFocus & visFit for animation within shiny, visDocumentation, visEvents, visConfigure ...

### Examples

    ## Not run:

    # have a look to :
    shiny::runApp(system.file("shiny", package = "visNetwork"))

    ## End(Not run)

[Package visNetwork version 1.0.1 Index]